E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Key Class Reference

Holds a mbedtls_pk_context structure. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
void | load (const std::string &file, const Rng &)
mbedtls_pk_context * | ptr ()
mbedtls_pk_context * | ptr () const
| Key (const Key &)=delete
| Key (Key &&)=delete
Key & | operator= (const Key &)=delete
Key & | operator= (Key &&)=delete

## Detailed Description

Holds a mbedtls_pk_context structure.

Definition at line 101 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Key()

GSsl::MbedTls::Key::Key | ( |  | ) |

Definition at line 996 of file gssl_mbedtls.cpp.

## ◆ ~Key()

GSsl::MbedTls::Key::~Key | ( |  | ) |

Definition at line 1002 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ load()

void GSsl::MbedTls::Key::load | ( | const std::string & | file,
|  | const Rng & | rng
| ) |  |

Definition at line 1007 of file gssl_mbedtls.cpp.

## ◆ ptr() [1/2]

mbedtls_pk_context * GSsl::MbedTls::Key::ptr | ( |  | ) |

Definition at line 1022 of file gssl_mbedtls.cpp.

## ◆ ptr() [2/2]

mbedtls_pk_context * GSsl::MbedTls::Key::ptr | ( |  | ) | const

Definition at line 1028 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp